Name:           tennix
Version:        1.0
Release:        12%{?dist}
Summary:        A simple tennis game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://icculus.org/tennix/
Source0:        http://icculus.org/tennix/releases/%{name}-%{version}.tar.gz
Patch0:		tennix-1.0-python27.patch
Patch1:		tennix-1.0-tnxpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, SDL_mixer-devel SDL_image-devel SDL_ttf-devel
BuildRequires:  desktop-file-utils python-devel


%description
Tennix! is a SDL port of a simple tennis game.
It features a two-player game mode and a single-player mode
against the computer.


%prep
%setup -q
sed -i -e 's/install -s/install/' makefile
sed -i -e 's/install -m/install -p -m/' makefile

%patch0 -p0
%patch1 -p0

%build
CFLAGS="%{optflags}" make LIBS="-lm -lSDL -lSDL_mixer -lSDL_ttf -lSDL_image -lpython2.7"
# Usage of smp_mflags causes compilation to fail
# make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
PREFIX=%{_prefix} make install DESTDIR=$RPM_BUILD_ROOT

# Remove executable flag from man page
chmod a-x $RPM_BUILD_ROOT/%{_mandir}/man6/%{name}.*

desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
                     --delete-original                                       \
                     $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog TODO
%attr(2755,root,games) %{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man6/%{name}.*
%attr(0664,root,games) /usr/share/games/tennix/tennix.tnx

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Jon Ciesla <limburgher@gmail.com> - 1.0-9
- Drop desktop vendor tag.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 Jon Ciesla <limb@jcomserv.net> - 1.0-5
- Correct makefile for 2.7.

* Fri Jul 30 2010 Jon Ciesla <limb@jcomserv.net> - 1.0-4
- Fix python flag for 2.7.

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jun 28 2010 Jon Ciesla <limb@jcomserv.net> - 1.0-2
- FTBFS fix, BZ 599940.

* Mon Nov 02 2009 Jon Ciesla <limb@jcomserv.net> - 1.0-1
- Update to 1.0, BZ 500068.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Aug 27 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.6.1-4
- updated Summary
- fixed filename in SOURCE
- fixed paths in install section
- fixed icon caching after installing and uninstalling
- fixed timestamps preservation in prep section

* Sun Aug 24 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.6.1-3
- fixed .desktop file name in files section

* Mon May 12 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.6.1-2
- make install doesn't strip binaries
- make uses OPTFLAGS

* Wed May  7 2008 Claudio Tomasoni <claudio@claudiotomasoni.it> 0.6.1-1
- Initial release
